using System;
using System.Collections.ObjectModel;
using NinjaTrader.Cbi;

internal sealed class Delegate686 : MulticastDelegate
{
	public extern Collection<Order> Invoke(string string_0);

	public static Collection<Order> smethod_0(string string_0, Delegate686 delegate686_1)
	{
		return delegate686_1(string_0);
	}

	public extern Delegate686(object object_0, IntPtr intptr_0);

	static Delegate686()
	{
		Class10.smethod_13(typeof(Delegate686).TypeHandle);
	}

	internal static Delegate686 delegate686_0;
}
